---
title: PushSubscription.expirationTime
slug: Web/API/PushSubscription/expirationTime
tags:
  - API
  - Experimental
  - Property
  - Push API
  - PushManager
  - PushSubscription
  - Reference
  - Service Worker
---
<p>{{SeeCompatTable}}{{APIRef("Push API")}}</p>

<p>The <strong><code>expirationTime</code></strong> read-only property of the {{domxref("PushSubscription")}} interface returns a {{domxref("DOMHighResTimeStamp")}} of the subscription expiration time associated with the push subscription, if there is one, or null otherwise.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>expirationTime</em> = <em>pushSubscription.expirationTime</em></pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API','#dom-pushsubscription-expirationtime','expirationTime')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushSubscription.expirationTime")}}</p>
</div>
